.contact-area {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.contact-area-content {
    width: 100%;
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
}

.contact-area-choice {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 14px;
    padding: 5px 15px;
    border-radius: 5px;
    cursor: pointer;
}

.contact-area-choice.active {
    background-color: white;
}

.contact-area-choice-wrapper {
    display: flex;
    background-color: var(--bg-tertiary);
    padding: 10px 10px;
    gap: 1rem;
    border-radius: 5px;
}

.hero-header {
    text-align: center;
}

.hero p {
    font-size: 17px;
    max-width: 650px;
    margin: 0 auto 2rem;
    margin-bottom: 0rem;
    line-height: 1.6;
}

.hero h1 {
    font-size: clamp(2.5rem, 5vw, 3rem);
    font-weight: 700;
    margin-bottom: 1.25rem;
    line-height: 1.1;
    letter-spacing: -1.5px;
}

.contact-area-form-support-text h2 {
    font-size: 23px;
    font-weight: 600;
}

.contact-area-forms {
    width: 100%;
}

.contact-area-form-reasons {
    margin-top: 2rem;
    display: inline-flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-area-form-reaseon-text h3 {
    font-size: 16px;
}

.contact-area-form-reason {
    display: inline-flex;
    align-items: center;
    gap: .7rem;
    border: 1px solid var(--border-color);
    padding: 15px 20px;
    border-radius: 7px;
    max-width: 595px;
    transition: border-color .4s ease;
}

.contact-area-form-icon {
    height: 40px;
    min-height: 40px;
    min-width: 40px;
    border-radius: 3px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--accent-light);
}

.contact-area-form-reaseon-text p {
    color: var(--text-secondary);
    font-size: 14px;
}

.contact-area-form-reason:hover {
    border-color: var(--accent-primary);
}

.contact-area-form-support {
    display: flex;
    gap: 2rem;
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.contact-area-form-support.active {
    position: relative;
    transition: opacity .4s ease;
    opacity: 1;
    pointer-events: all;
}

.contact-area-support-form {
    background-color: #f8f8f9;
    padding: 15px 15px;
    border: 1px solid var(--border-color);
    border-radius: 5px;
}

.contact-area-support-form h3 {
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 1rem;
}

.contact-area-support-input-wrap label {
    font-size: 14px;
}

.contact-area-support-input-wrap {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-bottom: 1rem;
    position: relative;
}

.contact-area-support-input-wrap::after {
    content: attr(msg);
    position: absolute;
    bottom: -16px;
    font-size: 12px;
    color: var(--error-color);
}

.contact-area-support-form-input-row {
    display: flex;
    gap: 1rem;
}

.contact-area-support-form-input-row .contact-area-support-input-wrap {
    width: 50%;
}

.front-area {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
    resize: vertical;
    min-height: 150px;
}

#support-submit-btn, #sales-submit-btn {
    width: 100%;
    margin-top: 1rem;
}

.contact-terms-message {
    text-align: center;
    margin-top: 1rem;
    text-align: center;
    font-size: 13px;
    color: var(--text-secondary);
}

.contact-terms-message a {
    color: var(--text-primary);
}

.contact-area-form-sub-header-text {
    max-width: 500px;
}


@media (max-width: 1000px) {
    .section {
        padding: 2rem 15px;
    }
}

@media (max-width: 800px) {
    .contact-area-form-support {
        flex-direction: column;
    }

    .contact-area-form-reason,
    .contact-area-form-reasons {
        width: 100%;
    }

    .contact-area-form-reason {
        max-width: none;
    }

    .contact-area-support-form-input-row {
        flex-direction: column;
        gap: 0;
    }
}


@media (max-width: 500px) {
    .contact-area {
        padding-top: 2rem;
    }
}